import { EventEmitter } from "../../stencil-public-runtime";
import * as langly from "langly";
import { PhoneNumbers } from "@payfunc/model";
export declare class PayfuncPhoneNumbers {
  value: string | PhoneNumbers;
  editable: boolean;
  changed: EventEmitter<string | PhoneNumbers>;
  adding: boolean;
  element: HTMLElement;
  t: langly.Translate;
  componentWillLoad(): void;
  get types(): PhoneNumbers.Type[];
  get phoneNumbers(): PhoneNumbers;
  private onEdit;
  private onDelete;
  private onAdd;
  render(): any[];
}
